<?php

namespace App\Repository;

use App\Entity\DomainPage;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<DomainPage>
 *
 * @method DomainPage|null find($id, $lockMode = null, $lockVersion = null)
 * @method DomainPage|null findOneBy(array $criteria, array $orderBy = null)
 * @method DomainPage[]    findAll()
 * @method DomainPage[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class DomainPageRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, DomainPage::class);
    }

//    /**
//     * @return DomainPage[] Returns an array of DomainPage objects
//     */
//    public function findByExampleField($value): array
//    {
//        return $this->createQueryBuilder('d')
//            ->andWhere('d.exampleField = :val')
//            ->setParameter('val', $value)
//            ->orderBy('d.id', 'ASC')
//            ->setMaxResults(10)
//            ->getQuery()
//            ->getResult()
//        ;
//    }

//    public function findOneBySomeField($value): ?DomainPage
//    {
//        return $this->createQueryBuilder('d')
//            ->andWhere('d.exampleField = :val')
//            ->setParameter('val', $value)
//            ->getQuery()
//            ->getOneOrNullResult()
//        ;
//    }
}
